#ifndef PK_SIMPLE_INI_SETTINGS_H
#define PK_SIMPLE_INI_SETTINGS_H

#include <QObject>
#include <QSettings>

#define PK_SIMPLE_INI_SETTINGS_SINGLE_GROUP_NAME "SETTINGS"

/*
 * Autor:
 * Philipp Kolb
 * http://philipp-kolb.net
 */

/*
 * Verwendung
 *
 * #include "pk_simple_ini_settings.h"
 *
 * pk_simple_ini_settings* Einstellungen_XYZ = new pk_simple_ini_settings("test.ini");
 *
 * // Wert schreiben
 * Einstellungen_XYZ->set_setting_str("Schluesselname_Test1","Das ist ein Test");
 *
 * // Wert lesen
 * // meineVariable1 hat danach den Wert "Das ist ein Test".
 * QString meineVariable1 = Einstellungen_XYZ->get_setting_str("Schluesselname_Test1");
 *
 *
 */




class pk_simple_ini_settings : public QObject
{
    Q_OBJECT

public:
    explicit pk_simple_ini_settings(QString ini_path, QObject *parent = 0);
    ~pk_simple_ini_settings();

    QString get_setting_str(QString id, QString default_value = 0); // für String Werte
    int get_setting_num(QString id, int default_value = 0); // für ganzzahlige Werte
    void set_setting_str(QString id, QString value); // für String Werte
    void set_setting_num(QString id, int value); // für ganzzahlige Werte
    bool check_setting_id_exist(QString id); // prüfen ob der Wert im INI File existiert
    bool remove_setting(QString id); // Schlüssel löschen
    bool save_all_settings(); // wenn man zwischendurch manuel speichern möchte


signals:

public slots:

private:
    QSettings* p_qsettings;


};

#endif // PK_SIMPLE_INI_SETTINGS_H
